<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
if (!$_POST) {
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?
$entra=0;
echo "<h2><center>Reportes de Prestamos</center></h2>";

		$a=date ("Y");$m=date ("n");$d=date ("j");
		echo "<div class='form-container'>";
		echo "<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='_blanks' method='POST' enctype='multipart/form-data'>";
		echo "<input type='hidden' name='usuario' value='".$_SESSION['nombre_validar']."'>";
		echo "<input type='hidden' name='reporte' value='1'>";

		echo "<table>";
		echo "<tr>
			<td align='right'>C&eacute;dula:</td>
			<td align='left'><input name='cedula' size = '20' maxlength = '8'  onkeyup='verificar_cedula(this.form)'></td>
		</tr>";

		echo "<tr><td align = 'right'> Saldo: </td>";
		echo "<td align = 'left'> <select name = 'xsaldo'>";
					echo "<option value='1' checked>Con Saldos Activos";
					echo "<option value='2'>General";
		echo "</td></tr>";
		
		echo "<tr><td align = 'right'> Tipo: </td>";
		echo "<td align = 'left'> <select name = 'tipo'>";
					echo "<option value='R' checked>Resumen";
					echo "<option value='D'>Detallado";
					echo "<option value='O'>Detallado x Trabajador";
		echo "</td></tr>";

		echo "<tr><td align = 'right'> Prestamo: </td>";
		echo "<td align = 'left'> <select name = 'prestamo'>";
					echo "<option value='D' checked>Deducciones";
					echo "<option value='A'>Asignaciones";
		echo "</td></tr>";

		/* echo "<tr>
			<td align='right'>Detalle Prestamo:</td>
			<td align='left'><input name='detpre' size = '20' maxlength = '4'></td>
		</tr>"; */

		$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		$resultado = mysqli_num_rows($consulta);
		echo "<td align = 'right'> N&Oacute;MINA: </td>";
		echo "<td align = 'left'> <select name = 'nomina'>";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysqli_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}	
		echo "</select>";
		echo "</td></tr>";
		echo "<tr><td align = 'right'> Status: </td>";
		echo "<td align = 'left'> <select name = 'status'>";
				echo "	<option value='1' selected>Activos + Contratados
						<option value='A'>Activos
						<option value='V'>Vacaciones
						<option value='S'>Suspendidos por SSO
						<option value='I'>Retirados
						<option value='C'>Contratados
						<option value='T'>Activos + Contratados + Vacaciones + Suspendidos ";
		echo "</td></tr>";
		
		/* $query = "select * from tablas where tabla='GERENCIA' and id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		echo "<tr><td align = 'right'> Gerencia: </td>";
		echo "<td align = 'left'> <select name = 'gerencia'><option>";
		while ($row1 = mysqli_fetch_array($consulta))
				echo "<option>".$row1['codigo']." - ".$row1['detalle'];
		echo "</select>";
		echo "</td></tr>";
		$query = "select * from tablas where tabla='DIVISION' and id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		echo "<tr><td align = 'right'> Division: </td>";
		echo "<td align = 'left'> <select name = 'division'><option>";
		while ($row1 = mysqli_fetch_array($consulta))
				echo "<option>".$row1['codigo']." - ".$row1['detalle'];
		echo "</select>";
		echo "</td></tr>"; */
/* 		$query = "select * from tablas where tabla='DEPARTAMENTO' and id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		echo "<tr><td align = 'right'> Departamento: </td>";
		echo "<td align = 'left'> <select name = 'dpto'><option>";
		while ($row1 = mysqli_fetch_array($consulta))
				echo "<option>".$row1['codigo']." - ".$row1['detalle'];
		echo "</select>";
		echo "</td></tr>";
		$query = "select * from tablas where tabla='UNIDAD' and id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		echo "<tr><td align = 'right'> Unidad: </td>";
		echo "<td align = 'left'> <select name = 'unidad'><option>";
		while ($row1 = mysqli_fetch_array($consulta))
				echo "<option>".$row1['codigo']." - ".$row1['detalle'];
		echo "</select>";
		echo "</td></tr>"; */

		while ($row1 = mysqli_fetch_array($consulta))
				echo "<option>".$row1['codigo']." - ".$row1['detalle'];
		echo "</select>";
		echo "</td></tr>";

			/* echo "<tr><td colspan='2'>";

			echo "<div style='display:flex; gap:20px; width:100%;'>";

			echo "  <div style='flex:1;'>
						<label style='font-weight:600;'>Por Fecha Desde (DDMMAAAA):</label>
						<input name='fdesde' size='10' maxlength='8' style='width:100%; padding:6px; border-radius:6px; border:1px solid #ccc;'>
					</div>";

			echo "  <div style='flex:1;'>
						<label style='font-weight:600;'>Por Fecha Hasta (DDMMAAAA):</label>
						<input name='fhasta' size='10' maxlength='8' style='width:100%; padding:6px; border-radius:6px; border:1px solid #ccc;'>
					</div>";

			echo "</div>";

			echo "</td></tr>";	 */
		
		echo "<tr>";
		echo "<td align='right'>T&iacute;tulo:</td>";
		echo "<td align='left'><input name='titulo' size = '35' maxlength = '50' value = 'Reporte General de PRESTAMOS'></td></tr>";
				
		echo "<tr><td colspan='2' align='center'>";
		echo "&nbsp;<p><input name='ver' type='submit' style='margin-left:5px; ' class='boton' value='Visualizar Reporte para Imprimir/Guardar'>";
		echo "</td></tr>";
		echo "</table></form></div>";
} 

///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	
$nombre='';
$ficha='';
if (obtener_valor_diccionario($_POST, 'reporte')==1) {
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}   
		$_POST['usuario']=$_SESSION['nombre_validar'];
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
		    $this->Image($_SESSION['logo_validar'],10,10,30,30);
		    $this->SetFont('arial','',12);
			$this->Ln(2);
			$this->SetFont('arial','B',10);
		    $this->Cell(0,0,$_POST['empresa'],0,1,'R'); $this->Ln(4);
			$this->SetFont('arial','',8); 
			$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(1);
			$this->Cell(210);$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R'); $this->Ln(1);
		    $this->Cell(210);$this->Cell(0,5,'Usuario: '.$_POST['usuario'],0,1,'R'); $this->Ln(5);
			$this->SetFont('arial','B',12);  
			$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
			$this->Cell(0,0,obtener_valor_diccionario($_POST,'subtitulo'),0,1,'C');$this->Ln(5);
		if (obtener_valor_diccionario($_POST, 'gerencia')!="") {
			$this->Cell(0,0,'Gerencia: '.obtener_valor_diccionario($_POST,'gerencia'),0,1,'L');$this->Ln(5);
		}
		if (obtener_valor_diccionario($_POST, 'division')!="") {
			$this->Cell(0,0,'División: '.obtener_valor_diccionario($_POST,'division'),0,1,'L');$this->Ln(5);
		}
		if (obtener_valor_diccionario($_POST, 'departamento')!="") {
			$this->Cell(0,0,'Departamento: '.obtener_valor_diccionario($_POST,'departamento'),0,1,'L');$this->Ln(5);
		}
		if (obtener_valor_diccionario($_POST, 'unidad')!="") {
			$this->Cell(0,0,'Unidad: '.obtener_valor_diccionario($_POST,'unidad'),0,1,'L');$this->Ln(5);
		}
		if (obtener_valor_diccionario($_POST, 'turno')!="") {
			$this->Cell(0,0,'Turno: '.obtener_valor_diccionario($_POST,'turno'),0,1,'L');$this->Ln(5);
		}
		if (obtener_valor_diccionario($_POST, 'tipo')=="R") {
			$header=array('#','Fic.','Cedula','Nombres y Apellidos','Detalle','Saldo Anterior','Cuota','Saldo Final');
			$w=array(10,30,20,60,55,30,30,30);
		} 
		if (obtener_valor_diccionario($_POST, 'tipo')=="O") {
			$header=array('#','Cedula','Nombres y Apellidos','Detalle','Total','Cuota','Saldo');
		    $w=array(5,18,60,100,24,24,24);
		}
		else {	
			$header=array('#','RIF','Cedula','Nombres y Apellidos','Detalle','Total','Pago','Cuota','Saldo');
		    $w=array(10,20,20,50,70,20,20,20,20,5);
		}	
		    $this->SetFillColor(67,188,237); ///color de las celdas el encabezado 
			$this->SetTextColor(255); ///Define el color del texto (255 = blanco).
			$this->SetDrawColor(255,255,255); ///Define el color del borde de las celdas.
			$this->SetLineWidth(.5); ///Ajusta el grosor del borde.
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
		}
}
		$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);

		if ($_POST['status']=='1') $status=" and (personal.status='A' or personal.status='C') ";
		else if ($_POST['status']=='T') $status=" and (personal.status<>'I') ";
			else $status=" and personal.status='".$_POST['status']."' ";
		
		$fecha1 = substr($_POST['fdesde'],4,4)."-".substr($_POST['fdesde'],2,2)."-".substr($_POST['fdesde'],0,2);
		$fecha2 = substr($_POST['fhasta'],4,4)."-".substr($_POST['fhasta'],2,2)."-".substr($_POST['fhasta'],0,2);
		$cedula = $_POST['cedula']==""?"":" and personal.codigo='".str_repeat("0",8-strlen($_POST['cedula'])).$_POST['cedula']."' ";
		$nomina = " and personal.nomina = '".substr($_POST['nomina'],0,3)."' ";
		$detpre = $_POST['detpre']==""?"":" and substring(prestamo.detalle,1,4)='".substr($_POST['detpre'],0,4)."' ";
		$dpto = $_POST['dpto']==""?"":" and personal.departamento='".substr($_POST['dpto'],0,4)."' ";
		$div = $_POST['division']==""?"":" and personal.division='".substr($_POST['division'],0,4)."' ";
		$ger = $_POST['gerencia']==""?"":" and personal.gerencia='".substr($_POST['gerencia'],0,4)."' ";
		$uni = $_POST['unidad']==""?"":" and personal.unidad='".substr($_POST['unidad'],0,4)."' ";
		$tur = $_POST['turno']==""?"":" and personal.turno='".substr($_POST['turno'],0,4)."' ";
		$fecha1 = $_POST['fdesde']==""?"":" and prestamo.fecha>='".$fecha1."' ";
		$fecha2 = $_POST['fhasta']==""?"":" and prestamo.fecha<='".$fecha2."' ";
		$prestamo = $_POST['prestamo']=="D"?" and prestamo.tipo='D' ":" and prestamo.tipo='A' ";
		$xsaldox = $_POST['xsaldo']=="1"?" and saldo>0 ":"  ";
		if ($_POST['tipo']=="O" || $_POST['tipo']=="R") {
			$consulta="select personal.codigo, personal.nombres, personal.apellidos, prestamo.detalle, prestamo.total, prestamo.cuota, prestamo.saldo, personal.sso, prestamo.fecha from personal,prestamo  where personal.id='".$_SESSION['id_validar']."' and prestamo.cedula=personal.codigo $status $detpre $xsaldox $cedula $nomina $dpto $prestamo $div $ger $uni $tur $fecha1 $fecha2 order by personal.sso,prestamo.detalle";
		} else {
			$consulta="select personal.codigo, personal.nombres, personal.apellidos, prestamo.detalle, prestamo.total, prestamo.cuota, prestamo.saldo, personal.sso, prestamo.fecha from personal,prestamo  where personal.id='".$_SESSION['id_validar']."' and prestamo.cedula=personal.codigo $status $detpre $xsaldox $cedula $nomina $dpto $prestamo $div $ger $uni $tur $fecha1 $fecha2 order by prestamo.detalle,personal.sso";
		}
		$resultado=mysqli_query($enlace,$consulta) or die ($consulta);
		$linea=0;
		$color=0;$ttotal=0;
		$tsaldo=0;$saldo=0;$total=0;$cuota=0;
		$bandera=0;$tdetalle="";$tsdetalle=0;
		$tcuota=0;
		while($row=mysqli_fetch_array($resultado)) {
			$ttotal += obtener_valor_diccionario($row, 'total');
			$tsaldo += obtener_valor_diccionario($row, 'saldo');
			$tcuota += obtener_valor_diccionario($row, 'cuota');
			$tdetalle = $row['detalle'];
			////////////////////////////////////////////// detallado x operador
			if ($_POST['tipo']=="O") {
				$linea++;
				if ($linea==1) {
					$detalle=$row['sso'];
				}
				if ($detalle!=$row['sso']) {
					$pdf->SetFont('Arial','B',9);
					$pdf->SetTextColor(221,0,68);
					$pdf->cell(183,5,"Sub-Total...",0,0,'R',$color);
					$pdf->cell(24,5,number_format($ttotalope,2),0,0,'R',$color);
					$pdf->cell(24,5,'',0,0,'R',$color);
					$pdf->cell(24,5,number_format($tsdetalle,2),0,1,'R',$color);
					$tsdetalle=0;
					$ttotalope=0;
					$detalle=$row['sso'];
					$pdf->SetFont('Arial','',8);
					$pdf->SetTextColor(0);
				}
				$tsdetalle += $row['saldo'];
				$ttotalope  += $row['total'];
				$pdf->cell(5,5,$linea,0,0,'C',$color);
				$pdf->cell(18,5,$row['codigo'],0,0,'',$color);
				$pdf->cell(60,5,trim($row['sso'])." - ".trim($row['apellidos']).", ".trim($row['nombres']),0,0,'',$color);
				$pdf->cell(100,5,$row['fecha']." - ".$row['detalle'],0,0,'',$color);
				$pdf->cell(24,5,number_format($row['total'],2),0,0,'R',$color);
				$pdf->cell(24,5,number_format($row['cuota'],2),0,0,'R',$color);
				$pdf->cell(24,5,number_format($row['saldo'],2),0,1,'R',$color);
			} 
			////////////////////////////////////////////// detallado
			if ($_POST['tipo']=="D") {
				$linea++;
				if ($linea==1) {
					$detalle=substr($row['detalle'],0,6);
				}
				if ($detalle!=substr($row['detalle'],0,6)) {
					$pdf->cell(165,5,"Sub-Total...",0,0,'R',$color);
					$pdf->cell(30,5,number_format($ttotalope,2),0,0,'R',$color);
					$pdf->cell(30,5,'',0,0,'R',$color);
					$pdf->cell(30,5,number_format($tsdetalle,2),0,1,'R',$color);
					$tsdetalle=0;
					$ttotalope=0;
					$detalle=substr($row['detalle'],0,6);
				}
				$tsdetalle += $row['saldo'];
				$ttotalope  += $row['total'];
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(15,5,$row['codigo'],0,0,'',$color);
				$pdf->cell(50,5,trim($row['sso'])." - ".trim($row['apellidos']).", ".trim($row['nombres']),0,0,'',$color);
				$pdf->cell(90,5,$row['fecha']." - ".$row['detalle'],0,0,'',$color);
				$pdf->cell(20,5,number_format($row['total'],2),0,0,'R',$color);
				$pdf->cell(20,5,number_format($row['total']-$row['saldo'],2),0,0,'R',$color);
				$pdf->cell(5,5,number_format(($row['cuota']==0?0:($row['total']-$row['saldo'])/$row['cuota']),0),0,0,'R',$color);
				$pdf->cell(20,5,number_format($row['cuota'],2),0,0,'R',$color);
				$pdf->cell(20,5,number_format($row['saldo'],2),0,0,'R',$color);
				$pdf->cell(5,5,number_format(($row['cuota']==0?0:$row['saldo']/$row['cuota']),0),0,1,'R',$color);
			} 
			////////////////////////////////////////////// resumen
			if ($_POST['tipo']=="R") {
				$header=array('#','Fic.','Cedula','Nombres y Apellidos','Detalle','Saldo Anterior','Cuota','Saldo Final');
				$w=array(10,30,20,60,55,30,30,30);
			
				if ($bandera==0) {
					$cedula = $row['codigo'];
					$ficha = $row['sso'];
					$bandera=1;
				}
				if (obtener_valor_diccionario($row,'codigo')==$cedula) {
					$nombre=trim(obtener_valor_diccionario($row,'nombres')).' '.trim(obtener_valor_diccionario($row,'nombres1')).',  '.trim(obtener_valor_diccionario($row,'apellidos')).' '.trim(obtener_valor_diccionario($row,'apellidos1'));
					$total += obtener_valor_diccionario($row,'total');
					$cuota += obtener_valor_diccionario($row,'cuota');
					$saldo += obtener_valor_diccionario($row,'saldo');
				} else {
					//('Cod.','RIF','CedulaXXXXXX','Nombres y Apellidos','Detalle','Total','Pago','Cuota','Saldo','#');
					//(10,20,20,50,90,20,20,20,20,5);
					$linea++;
					$pdf->cell(10,5,$linea,0,0,'C',$color);
					$pdf->cell(20,5,$ficha,0,0,'R',$color);
					$pdf->cell(20,5,$cedula,0,0,'R',$color);
					$pdf->cell(50,5,$nombre,0,0,'',$color);
					//$pdf->cell(70,5,$_POST['prestamo']=="D"?"Deducciones Automaticas":"Asignaciones Automaticas",0,0,'',$color);
					$pdf->cell(70,5,$tdetalle,0,0,'',$color);
					$pdf->cell(20,5,number_format($total,2),0,0,'R',$color);
					$pdf->cell(20,5,number_format($total-$saldo,2),0,0,'R',$color);
					$pdf->cell(20,5,number_format($cuota,2),0,0,'R',$color);
					$pdf->cell(20,5,number_format($saldo,2),0,1,'R',$color);
					$cedula = obtener_valor_diccionario($row, 'codigo');
					$ficha = obtener_valor_diccionario($row, 'sso');
					$nombre=trim(obtener_valor_diccionario($row, 'nombres')).' '.trim(obtener_valor_diccionario($row, 'nombres1')).',  '.trim(obtener_valor_diccionario($row, 'apellidos')).' '.trim(obtener_valor_diccionario($row, 'apellidos1'));
					$total = obtener_valor_diccionario($row, 'total');
					$cuota = obtener_valor_diccionario($row, 'cuota');
					$saldo = obtener_valor_diccionario($row, 'saldo');
				}	
			}
		}
		if ($_POST['tipo']=="R") {
			$linea++;
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			$pdf->cell(20,5,$ficha,0,0,'R',$color);
			$pdf->cell(20,5,$cedula,0,0,'R',$color);
			$pdf->cell(50,5,$nombre,0,0,'',$color);
			//$pdf->cell(70,5,$_POST['prestamo']=="D"?"Deducciones Automaticas":"Asignaciones Automaticas",0,0,'',$color);
			$pdf->cell(70,5,$tdetalle,0,0,'',$color);
			$pdf->cell(20,5,number_format($total,2),0,0,'R',$color);
			$pdf->cell(20,5,number_format($total-$saldo,2),0,0,'R',$color);
			$pdf->cell(20,5,number_format($cuota,2),0,0,'R',$color);
			$pdf->cell(20,5,number_format($saldo,2),0,1,'R',$color);
			$pdf->Cell(265,0,'',1,1,'C'); $pdf->ln(1);
			$pdf->cell(170,5,"Totales",0,0,'R');
			$pdf->cell(20,5,number_format($ttotal,2),0,0,'R',$color);
			$pdf->cell(20,5,number_format($ttotal-$tsaldo,2),0,0,'R');
			$pdf->cell(20,5,number_format($tcuota,2),0,0,'R');
			$pdf->cell(20,5,number_format($tsaldo,2),0,1,'R');
			$pdf->Cell(265,0,'',1,1,'C'); $pdf->ln(1); 
			$pdf->Cell(265,0,'',1,1,'C'); 
		} else {
			$pdf->cell(225,5,"Sub-Total...",0,0,'R',$color);
			$pdf->cell(30,5,number_format($tsdetalle,2),0,1,'R',$color);
			$pdf->Cell(255,0,'',1,1,'C'); $pdf->ln(1);
			$pdf->cell(165,5,"Totales",0,0,'R');
			$pdf->cell(30,5,number_format($ttotal,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tcuota,2),0,0,'R');
			$pdf->cell(30,5,number_format($tsaldo,2),0,1,'R');
			$pdf->Cell(255,0,'',1,1,'C'); $pdf->ln(1); 
			$pdf->Cell(255,0,'',1,1,'C'); 
		}
		$pdf->Output();

} // fin de reporte
?>

<style>
    .form-container {
        max-width: 650px;
        margin: 30px auto;
        background: #ffffff;
        padding: 25px 35px;
        border-radius: 14px;
        box-shadow: 0 4px 18px rgba(0,0,0,0.12);
        font-family: "Segoe UI", sans-serif;
    }

    .form-container table {
        width: 100%;
        border-collapse: separate;
        border-spacing: 0 12px;
    }

    .form-container td:first-child {
        text-align: right;
        font-weight: 600;
        color: #333;
        width: 40%;
        padding-right: 10px;
    }

    .form-container input,
    .form-container select {
        width: 100%;
        padding: 8px 10px;
        border: 1px solid #ccc;
        border-radius: 8px;
        font-size: 14px;
        transition: all .2s ease;
    }

    .form-container input:focus,
    .form-container select:focus {
        border-color: #0078d4;
        box-shadow: 0 0 4px rgba(0,120,212,0.4);
        outline: none;
    }

    	.boton {
		border-radius: 8px;      /* Bordes redondeados */
		padding: 8px 16px;       /* Más espacio interno */
		border: none;            /* Quita el borde feo por defecto */
		cursor: pointer;         /* Mano al pasar */
		transition: 0.2s ease;   /* Animación suave */
		}

		.boton:hover {
		transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
		}

	
</style>